Skip to main content
GET
/
v1
/
documents
List documents
curl --request GET \
  --url https://api.devic.ai/v1/documents \
  --header 'Authorization: Bearer <token>'
{
  "documents": [
    {
      "_id": "<string>",
      "clientUID": "<string>",
      "projectId": "<string>",
      "name": "<string>",
      "fileName": "<string>",
      "mimeType": "<string>",
      "size": 123,
      "markdownContent": "<string>",
      "summary": "<string>",
      "tokenCount": 123,
      "currentVersion": 123,
      "folderId": "<string>",
      "parentDocumentId": "<string>",
      "createdByUserUID": "<string>",
      "creationTimestampMs": 123,
      "lastEditTimestampMs": 123
    }
  ],
  "total": 123
}

Authorizations

Authorization
string
header
required

Use JWT token for authentication

Query Parameters

projectId
string

Filter by project ID

status
enum<string>

Filter by status

Available options:
pending,
ready,
failed
fileType
enum<string>

Filter by file type

Available options:
md,
pdf,
txt,
docx

Free-text search in name and content

folderId
string

Filter by folder ID. Use "none" to return documents without a folder

parentOnly
boolean

When true, only return root documents (no parent)

limit
integer
default:20

Maximum number of items to return

Required range: x <= 100
offset
integer
default:0

Number of items to skip

Response

Documents retrieved successfully

documents
object[]
total
integer

Total number of documents matching the query